EXPORTFS(2)

NAME
exportfs - control access to exported NFS file systems

SYNOPSIS
#include <sys/types.h>
#include <sys/vfs.h>

exportfs(path, rootid, flags)
char *path;
int rootid;
int flags;

DESCRIPTION
The exportfs(2) system call provides control over exported NFS filesystems. The path argument identifies the root of an exported NFS filesystem (see exportfs(5)). The rootid specifies the userid to which remote super-user accesses to the filesystem are mapped. (All accesses from a remote super-user are by default mapped to -2.) The flags argument currently supports a single value, EX_RDONLY, to indicate that NFS clients may not alter the filesystem. Normal read-write access to the filesystem is permitted by a value of 0.

SEE ALSO
exports(5), mountd(8)